## org.jfree.chart.annotations
Interface XYAnnotation

All Superinterfaces:
  Annotation

All Known Implementing Classes:
  AbstractXYAnnotation, XYBoxAnnotation, XYDataImageAnnotation, XYDrawableAnnotation, XYImageAnnotation, XYLineAnnotation, XYPointerAnnotation, XYPolygonAnnotation, XYShapeAnnotation, XYTextAnnotation, XYTitleAnnotation

    public interface XYAnnotation

extends Annotation

The interface that must be supported by annotations that are to be added to an `XYPlot`.

Method Summary
`void` `draw(java.awt.Graphics2D g2, XYPlot plot, java.awt.geom.Rectangle2D dataArea, ValueAxis domainAxis, ValueAxis rangeAxis, int rendererIndex, PlotRenderingInfo info)` Draws the annotation.

Methods inherited from interface org.jfree.chart.annotations.Annotation
`addChangeListener, removeChangeListener`

Method Detail

### draw

    void draw(java.awt.Graphics2D g2,
              XYPlot plot,
              java.awt.geom.Rectangle2D dataArea,
              ValueAxis domainAxis,
              ValueAxis rangeAxis,
              int rendererIndex,
              PlotRenderingInfo info)

  Draws the annotation.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the data area.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.
    `rendererIndex` - the renderer index.
    `info` - an optional info object that will be populated with entity information.